## minitube 3.9.3

=== lib/http/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(http LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_AUTOMOC ON)

find_package(Qt5 REQUIRED COMPONENTS Core Network)

add_library(http
	src/cachedhttp.h
	src/cachedhttp.cpp
	src/http.h
	src/http.cpp
	src/httpreply.h
	src/httprequest.h
	src/httpreply.cpp
	src/localcache.h
	src/localcache.cpp
	src/networkhttpreply.h
	src/networkhttpreply.cpp
	src/throttledhttp.h
	src/throttledhttp.cpp
)

target_link_libraries(http Qt5::Network)

## minitube 0.9

=== debian/changelog ===
minitube (0.9-0ubuntu1) lucid; urgency=low

  * Initial release (LP: #456580)

 -- Christian Mangold <neversfelde@ubuntu.com>  Sun, 24 Jan 2010 23:02:02 +0100

=== debian/control ===
Source: minitube
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christian Mangold <neversfelde@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
               qt4-qmake (>= 4.6.0), 
               libqt4-dev (>= 4.6.0), 
               libphonon-dev (>= 4.6.0)
Standards-Version: 3.8.3
Homepage: http://flavio.tordini.org/on/minitube

Package: minitube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, phonon
Description: Youtube client
 With minitube you can watch Youtube videos. Minitube does not require the
 flash player and aims to create a new TV-like experience.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	qmake-qt4 PREFIX=/usr

override_dh_auto_install:
	$(MAKE) INSTALL_ROOT="$(CURDIR)/debian/minitube" install

## minitube 1.1

=== debian/changelog ===
minitube (1.1-1) unstable; urgency=low

  * New upstream version (Closes: #590320)
  * Bump Standards-Version to 3.9.1 (no changes required)
  * Add dependencies to dbus-x11 and gstreamer0.10-plugins-good

 -- Jakob Haufe <sur5r@sur5r.net>  Tue, 27 Jul 2010 23:04:09 +0200

minitube (1.0-3) unstable; urgency=low

  * Mention files with copyright by Nokia in debian/copyright. Thanks to Barry
    deFreese for pointing it out.

 -- Jakob Haufe <sur5r@sur5r.net>  Wed, 09 Jun 2010 20:52:44 +0200

minitube (1.0-2) unstable; urgency=low

  * Make phonon and gstreamer dependencies more strict
  * Remove now obsolete README.Debian
  * Remove README.source template

 -- Jakob Haufe <sur5r@sur5r.net>  Thu, 06 May 2010 22:58:30 +0200

minitube (1.0-1) unstable; urgency=low

  * Initial release (Closes: #561012)

 -- Jakob Haufe <sur5r@sur5r.net>  Tue, 04 May 2010 21:51:02 +0200

## minitube 1.3

=== debian/changelog ===
minitube (1.3-1) unstable; urgency=low

  * New upstream version (Closes: #606670)

 -- Jakob Haufe <sur5r@sur5r.net>  Fri, 17 Dec 2010 00:23:23 +0100

minitube (1.2-1) unstable; urgency=low

  * New upstream version (Closes: #600070)

 -- Jakob Haufe <sur5r@sur5r.net>  Fri, 15 Oct 2010 01:48:10 +0200

## minitube 1.4.2

=== debian/changelog ===
minitube (1.4.2-1charlotte3) lucid; urgency=low

  * debian/control: depend on phonon-backend-gstreamer-fsl

 -- Alex Chiang <achiang@canonical.com>  Tue, 26 Apr 2011 15:03:51 -0600

minitube (1.4.2-1charlotte2) lucid; urgency=low

  * debian/control: depend on libqt4-opengl

 -- Alex Chiang <achiang@canonical.com>  Tue, 26 Apr 2011 00:08:52 -0600

minitube (1.4.2-1charlotte1) lucid; urgency=low

  * New upstream release
  * getuid-ftbfs.patch: add #includes to fix build failure
  * debian/control: remove dependencies on gstreamer-bad and -ffmpeg

 -- Alex Chiang <achiang@canonical.com>  Mon, 25 Apr 2011 14:35:27 -0600

=== debian/control ===
Source: minitube
Section: video
Priority: extra
Maintainer: Jakob Haufe <sur5r@sur5r.net>
Build-Depends: cdbs, debhelper (>= 7), libqt4-dev (>= 4:4.5), libphonon-dev 
Standards-Version: 3.9.1
Homepage: http://flavio.tordini.org/minitube

Package: minitube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 phonon-backend-gstreamer-fsl | phonon-backend-gstreamer,
 gstreamer0.10-plugins-good, gstreamer0.10-x, dbus-x11, libqt4-opengl
Description: Native YouTube client
 Minitube is a native YouTube client. With it you can watch YouTube videos in
 a new way: you type a keyword, Minitube gives you an endless video stream.
 .
 Minitube does not require the Flash Player.
 .
 Minitube is not about cloning the original YouTube web interface, it aims to
 create a new TV-like experience.

## minitube 1.4.3

=== debian/changelog ===
minitube (1.4.3-1) unstable; urgency=low

  * New upstream version (Closes: #623821)

 -- Jakob Haufe <sur5r@sur5r.net>  Fri, 10 Jun 2011 00:12:04 +0200

minitube (1.4.2-1) unstable; urgency=low

  * New upstream version 

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 24 Apr 2011 19:30:24 +0200

minitube (1.4.1-1) unstable; urgency=low

  * New upstream version
  * Disable update check, makes no sense for a packaged version (Closes:
    #619941)

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 03 Apr 2011 20:38:04 +0200

=== debian/watch ===
version=3

http://flavio.tordini.org/minitube http://flavio.tordini.org/files/minitube/minitube-([0-9].*)\.tar\.gz

## minitube 1.5

=== debian/changelog ===
minitube (1.5-2) unstable; urgency=low

  * Do proper temporary file creation (Closes: #644935).

 -- Jakob Haufe <sur5r@sur5r.net>  Wed, 12 Oct 2011 23:06:30 +0200

minitube (1.5-1.1) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes required)

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 14 Aug 2011 09:33:19 +0200

minitube (1.5-1) unstable; urgency=low

  * New upstream version (Closes: #637410)

 -- Jakob Haufe <sur5r@sur5r.net>  Fri, 12 Aug 2011 18:34:21 +0200

=== debian/control ===
Source: minitube
Section: video
Priority: extra
Maintainer: Jakob Haufe <sur5r@sur5r.net>
Build-Depends: cdbs, debhelper (>= 7), libqt4-dev (>= 4:4.5), libphonon-dev 
Standards-Version: 3.9.2
Homepage: http://flavio.tordini.org/minitube

Package: minitube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, phonon-backend-gstreamer, gstreamer0.10-plugins-good, gstreamer0.10-plugins-bad, gstreamer0.10-ffmpeg, gstreamer0.10-x, dbus-x11
Description: Native YouTube client
 Minitube is a native YouTube client. With it you can watch YouTube videos in
 a new way: you type a keyword, Minitube gives you an endless video stream.
 .
 Minitube does not require the Flash Player.
 .
 Minitube is not about cloning the original YouTube web interface, it aims to
 create a new TV-like experience.

## minitube 1.6

=== debian/changelog ===
minitube (1.6-1) unstable; urgency=low

  * New upstream version (Closes: #650622, #647212)
  * Recreate debian/patches/disable-update-check
  * Recreate debian/patches/proper-tempfiles

 -- Jakob Haufe <sur5r@sur5r.net>  Wed, 07 Dec 2011 02:50:04 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk


# Add here any variable or target overrides you need.

## minitube 1.6-1+6.0trisquel1

=== debian/changelog ===
minitube (1.6-1+6.0trisquel1) toutatis; urgency=low

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 02 Apr 2014 23:22:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: minitube
 Section: video
 Priority: extra
-Maintainer: Jakob Haufe <sur5r@sur5r.net>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: cdbs, debhelper (>= 7), libqt4-dev (>= 4:4.5), libphonon-dev 
 Standards-Version: 3.9.2
 Homepage: http://flavio.tordini.org/minitube

## minitube 1.7

=== debian/changelog ===
minitube (1.7-1) unstable; urgency=low

  * New upstream version (Closes: #658990)
  * New patch: assure-quit-keybinding

 -- Jakob Haufe <sur5r@sur5r.net>  Wed, 15 Feb 2012 22:06:35 +0100

## minitube 1.9

=== debian/changelog ===
minitube (1.9-1) unstable; urgency=low

  * New upstream version (Closes: #673696).
  * Refresh disable-update-check.
  * Refresh proper-tempfiles.
  * Use hardening-wrapper.

 -- Jakob Haufe <sur5r@sur5r.net>  Sat, 29 Sep 2012 02:43:53 +0200

minitube (1.8-1) unstable; urgency=low

  * Ack NMU (thanks gregoa)
  * New upstream version (Closes: #673696)
  * Bump Standards-Version to 3.9.3 (no changes required)
  * Bump debhelper compat level to 9
  * Switch to xz compression
  * No longer directly depend on GStreamer phonon backed

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 23 Sep 2012 19:52:04 +0200

minitube (1.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch that adds missing include.
    (Closes: #667281)

 -- gregor herrmann <gregoa@debian.org>  Wed, 09 May 2012 16:44:42 +0200

=== debian/control ===
Source: minitube
Section: video
Priority: extra
Maintainer: Jakob Haufe <sur5r@sur5r.net>
Build-Depends: cdbs, debhelper (>= 9), libqt4-dev (>= 4:4.5), libphonon-dev, hardening-wrapper
Standards-Version: 3.9.3
Homepage: http://flavio.tordini.org/minitube

Package: minitube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, phonon-backend, dbus-x11
Description: Native YouTube client
 Minitube is a native YouTube client. With it you can watch YouTube videos in
 a new way: you type a keyword, Minitube gives you an endless video stream.
 .
 Minitube does not require the Flash Player.
 .
 Minitube is not about cloning the original YouTube web interface, it aims to
 create a new TV-like experience.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_HARDENING=1
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/qmake.mk

## minitube 2.0

=== debian/changelog ===
minitube (2.0-1) unstable; urgency=low

  * New upstream version
  * Switch from hardening-wrapper to buildflags.mk
  * Refresh patches:
    - Drop gcc-4.7.patch, fixed upstream
    - Rebuild assure-quit-keybinding
    - Rebuild disable-update-check
  * Update Standards-Version to 3.9.4
    - Add Vcs-* control fields
    - No further changes needed

 -- Jakob Haufe <sur5r@sur5r.net>  Thu, 23 May 2013 13:54:01 +0200

=== debian/control ===
Source: minitube
Section: video
Priority: extra
Maintainer: Jakob Haufe <sur5r@sur5r.net>
Build-Depends: cdbs, debhelper (>= 9), libqt4-dev (>= 4:4.5), libphonon-dev, dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.4
Homepage: http://flavio.tordini.org/minitube
Vcs-Browser: http://git.sur5r.net/?p=minitube;a=summary
Vcs-Git: git://git.sur5r.net/minitube

Package: minitube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, phonon-backend-gstreamer | phonon-backend, dbus-x11
Description: Native YouTube client
 Minitube is a native YouTube client. With it you can watch YouTube videos in
 a new way: you type a keyword, Minitube gives you an endless video stream.
 .
 Minitube does not require the Flash Player.
 .
 Minitube is not about cloning the original YouTube web interface, it aims to
 create a new TV-like experience.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/buildflags.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk


# Add here any variable or target overrides you need.

=== debian/watch ===
version=3

opts=downloadurlmangle=s/trees/archive-tarball/,filenamemangle=s/^\/minitube\/minitube\/trees\/(.*)$/minitube-$1.tar.gz/ http://gitorious.org/minitube/minitube/trees/ /minitube/minitube/trees/([0-9])\.([0-9].*)

## minitube 2.2

=== debian/changelog ===
minitube (2.2-1) unstable; urgency=medium

  * New upstream version (Closes: #757806)
  * Bump Standards-Version to 3.9.5 (no changes required)

 -- Jakob Haufe <sur5r@sur5r.net>  Sat, 06 Sep 2014 21:19:24 +0200

minitube (2.1.6-1) unstable; urgency=low

  * New upstream version (Closes: #739480)
  * Update watchfile to work with new Gitorious
  * Refresh patches

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 15 Jun 2014 14:49:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Jakob Haufe <sur5r@sur5r.net>
 Build-Depends: cdbs, debhelper (>= 9), libqt4-dev (>= 4:4.5), libphonon-dev, dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://flavio.tordini.org/minitube
 Vcs-Browser: http://git.sur5r.net/?p=minitube;a=summary
 Vcs-Git: git://git.sur5r.net/minitube

=== debian/watch ===
version=3

opts=downloadurlmangle=s/source(.*):/archive$1.tar.gz/,filenamemangle=s/^\/minitube\/minitube\/source\/(.*):$/minitube-$1.tar.gz/ http://gitorious.org/minitube/minitube/activities/ /minitube/minitube/source/([0-9])\.([0-9].*):

## minitube 2.5.1

=== debian/changelog ===
minitube (2.5.1-1) unstable; urgency=medium

  * New upstream version
  * Point watchfile to Github as Gitorious is gone
  * Update URL in debian/copyright and fix typo
  * Refresh patches
  * Bump Standards-Version to 3.9.7 (no changes required)
  * Remove menu file (See ctte #741573)

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 13 Mar 2016 22:16:30 +0100

=== debian/control ===
Source: minitube
Section: video
Priority: extra
Maintainer: Jakob Haufe <sur5r@sur5r.net>
Build-Depends: cdbs, debhelper (>= 9), qtbase5-dev, qtchooser, qtscript5-dev, qttools5-dev-tools, libphonon4qt5-dev
Standards-Version: 3.9.7
Homepage: http://flavio.tordini.org/minitube
Vcs-Browser: http://git.sur5r.net/?p=minitube;a=summary
Vcs-Git: git://git.sur5r.net/minitube

Package: minitube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11
Description: Native YouTube client
 Minitube is a native YouTube client. With it you can watch YouTube videos in
 a new way: you type a keyword, Minitube gives you an endless video stream.
 .
 Minitube does not require the Flash Player.
 .
 Minitube is not about cloning the original YouTube web interface, it aims to
 create a new TV-like experience.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -Wall
+export QT_SELECT=qt5
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/qmake.mk

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/minitube-$1\.tar\.gz/ https://github.com/flaviotordini/minitube/tags .*/v?(\d\S*)\.tar\.gz

## minitube 2.5.2

=== debian/changelog ===
minitube (2.5.2-2) unstable; urgency=medium

  * Replace dbus-x11 dependency (Closes: #836115)
  * Bump Standards-Version to 3.9.8 (no changes required)

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 25 Sep 2016 22:27:09 +0200

minitube (2.5.2-1) unstable; urgency=medium

  * New upstream version
  * Drop patch: assure-quit-keybinding, unneeded with Qt5
  * Depend on libqt5sql5-sqlite (Closes: #820620)
  * Switch Vcs-* URLs to https

 -- Jakob Haufe <sur5r@sur5r.net>  Wed, 13 Apr 2016 18:23:32 +0200

=== debian/control ===
Source: minitube
Section: video
Priority: extra
Maintainer: Jakob Haufe <sur5r@sur5r.net>
Build-Depends: cdbs, debhelper (>= 9), qtbase5-dev, qtchooser, qtscript5-dev, qttools5-dev-tools, libphonon4qt5-dev
Standards-Version: 3.9.8
Homepage: http://flavio.tordini.org/minitube
Vcs-Browser: https://git.sur5r.net/?p=minitube;a=summary
Vcs-Git: https://git.sur5r.net/minitube

Package: minitube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, default-dbus-session-bus | dbus-session-bus, libqt5sql5-sqlite
Description: Native YouTube client
 Minitube is a native YouTube client. With it you can watch YouTube videos in
 a new way: you type a keyword, Minitube gives you an endless video stream.
 .
 Minitube does not require the Flash Player.
 .
 Minitube is not about cloning the original YouTube web interface, it aims to
 create a new TV-like experience.

## minitube 2.9

=== debian/changelog ===
minitube (2.9-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches
  * Switch priority to optional as extra is deprecated
  * Update AppStream data
  * Drop cdbs and switch to DH 11
  * Ship Google API key (Closes: #852601)
  * Bump Standards-Version to 4.2.0 (no changes required)

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 12 Aug 2018 18:51:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: minitube
 Section: video
-Priority: extra
+Priority: optional
 Maintainer: Jakob Haufe <sur5r@sur5r.net>
-Build-Depends: cdbs, debhelper (>= 9), qtbase5-dev, qtchooser, qtscript5-dev, qttools5-dev-tools, libphonon4qt5-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11), qtbase5-dev, qtchooser, qtscript5-dev, qttools5-dev-tools, libphonon4qt5-dev, qtdeclarative5-dev
+Standards-Version: 4.2.0
 Homepage: http://flavio.tordini.org/minitube
 Vcs-Browser: https://git.sur5r.net/?p=minitube;a=summary
 Vcs-Git: https://git.sur5r.net/minitube
@@ -19,4 +19,3 @@
  .
  Minitube is not about cloning the original YouTube web interface, it aims to
  create a new TV-like experience.
-

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_configure::
	dh_auto_configure -- DEFINES+=APP_GOOGLE_API_KEY=AIzaSyC9EDpL8xpx_EcAbTbn66wbMwMzqzSI3MM

override_dh_auto_install::
	dh_auto_install --destdir=debian/tmp

override_dh_missing::
	dh_missing --fail-missing

## minitube 3.1

=== debian/changelog ===
minitube (3.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:19:58 +0100

minitube (3.1-1) unstable; urgency=medium

  * New upstream version 3.1
  * Update watch file to use releases instead of tags
  * Drop patches/Update-AppStream-data, applied upstream
  * Update build dependencies
  * Drop custom compression options
  * Install AppStream files to /usr/share/metainfo
  * Update my mail address

 -- Jakob Haufe <sur5r@debian.org>  Sun, 14 Jul 2019 19:08:28 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: minitube
 Section: video
 Priority: optional
-Maintainer: Jakob Haufe <sur5r@sur5r.net>
-Build-Depends: debhelper (>= 11), qtbase5-dev, qtchooser, qtscript5-dev, qttools5-dev-tools, libphonon4qt5-dev, qtdeclarative5-dev
+Maintainer: Jakob Haufe <sur5r@debian.org>
+Build-Depends: debhelper (>= 11), qtbase5-dev, qtchooser, qttools5-dev-tools, qtdeclarative5-dev, libqt5x11extras5-dev, libmpv-dev
 Standards-Version: 4.2.0
 Homepage: http://flavio.tordini.org/minitube
 Vcs-Browser: https://git.sur5r.net/?p=minitube;a=summary

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 override_dh_auto_install::
 	dh_auto_install --destdir=debian/tmp
+	chmod a-x debian/tmp/usr/share/minitube/sounds/snapshot.wav
 
 override_dh_missing::
 	dh_missing --fail-missing

## minitube 3.2

=== debian/changelog ===
minitube (3.2-0.1~mx19+1) mx; urgency=medium

  * New upstream release: build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 23 Oct 2019 15:13:41 -0700

minitube (3.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Run wrap-and-sort.
  * Disable large dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 16 Jul 2019 11:35:34 -0700

## minitube 3.3

=== debian/changelog ===
minitube (3.3-0.1~mx19+1) mx; urgency=medium

  * New upstream release: build for MX Linux. 

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 03 Jan 2020 12:33:30 -0800

## minitube 3.4

=== debian/changelog ===
minitube (3.4-1) unstable; urgency=medium

  * New upstream version 3.4
  * Refresh proper-tempfiles
  * Update API key
  * Bump Standards-Version (no changes needed)
  * Let Vcs-* point to salsa

 -- Jakob Haufe <sur5r@debian.org>  Sun, 31 May 2020 20:40:54 +0000

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@
 
 override_dh_auto_configure::
-	dh_auto_configure -- DEFINES+=APP_GOOGLE_API_KEY=AIzaSyC9EDpL8xpx_EcAbTbn66wbMwMzqzSI3MM
+	dh_auto_configure -- DEFINES+=APP_GOOGLE_API_KEY=AIzaSyAIczxoTHgsF_OC--oXGtM0029Gv3JDRzc
 
 override_dh_auto_install::
 	dh_auto_install --destdir=debian/tmp

## minitube 3.4.2

=== debian/changelog ===
minitube (3.4.2-1~mx19+1) mx; urgency=medium

  * new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 03 Aug 2020 09:18:40 -0700

## minitube 3.5.1

=== debian/changelog ===
minitube (3.5.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release 3.5.1.
  * Drop update check patch.
  * Refactor revert_birthTime_to_created_for_stretch patch.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 29 Aug 2020 14:50:17 -0700

=== debian/control ===
Source: minitube
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jakob Haufe <sur5r@debian.org>
Build-Depends: debhelper (>= 11),
               libmpv-dev (>= 0.29),
               libqt5x11extras5-dev,
               qtbase5-dev,
               qtchooser,
               qtdeclarative5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.0
Homepage: http://flavio.tordini.org/minitube
Vcs-Browser: https://salsa.debian.org/sur5r/minitube
Vcs-Git: https://salsa.debian.org/sur5r/minitube.git

Package: minitube
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         libqt5sql5-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Native YouTube client
 Minitube is a native YouTube client. With it you can watch YouTube videos in
 a new way: you type a keyword, Minitube gives you an endless video stream.
 .
 Minitube does not require the Flash Player.
 .
 Minitube is not about cloning the original YouTube web interface, it aims to
 create a new TV-like experience.

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,6 @@
 
 override_dh_missing::
 	dh_missing --fail-missing
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## minitube 3.6.1

=== debian/changelog ===
minitube (3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1
  * Rework patch: disable-update-check
  * Drop API KEY
  * Update manpage

 -- Jakob Haufe <sur5r@debian.org>  Sat, 03 Oct 2020 20:23:01 +0000

=== debian/watch ===
version=3

#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/minitube-$1\.tar\.gz/
https://github.com/flaviotordini/minitube/releases .*/minitube-?(\d\S*)\.tar\.bz2

## minitube 3.6.5

=== debian/changelog ===
minitube (3.6.5-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Rework patch: disable-update-check
  * Remove patch: Install-AppStream-files-to-usr_share_metainfo, fixed upstream.
  
 -- Steven Pusser <stevep@mxlinux.org>  Mon, 16 Nov 2020 19:39:27 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Jakob Haufe <sur5r@debian.org>
 Build-Depends: debhelper (>= 11),
-               libmpv-dev (>= 0.29),
+               libmpv-dev,
                libqt5x11extras5-dev,
                qtbase5-dev,
                qtchooser,

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 
 %:
 	dh $@
-
-override_dh_auto_configure::
-	dh_auto_configure -- DEFINES+=APP_GOOGLE_API_KEY=AIzaSyAIczxoTHgsF_OC--oXGtM0029Gv3JDRzc
 
 override_dh_auto_install::
 	dh_auto_install --destdir=debian/tmp

## minitube 3.9.1

=== debian/changelog ===
minitube (3.9.1-1) unstable; urgency=medium

  * New upstream version 3.9.1
  * Rework patch: disable-update-check
  * Drop patch: Install-AppStream-files-to-usr_share_metainfo
    - No longer needed, changed upstream

 -- Jakob Haufe <sur5r@debian.org>  Wed, 15 Sep 2021 08:09:44 +0000

=== debian/control ===
Source: minitube
Section: video
Priority: optional
Maintainer: Jakob Haufe <sur5r@debian.org>
Build-Depends: debhelper (>= 11), qtbase5-dev, qtchooser, qttools5-dev-tools, qtdeclarative5-dev, libqt5x11extras5-dev, libmpv-dev
Standards-Version: 4.5.0
Homepage: http://flavio.tordini.org/minitube
Vcs-Browser: https://salsa.debian.org/sur5r/minitube
Vcs-Git: https://salsa.debian.org/sur5r/minitube.git

Package: minitube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, default-dbus-session-bus | dbus-session-bus, libqt5sql5-sqlite
Description: Native YouTube client
 Minitube is a native YouTube client. With it you can watch YouTube videos in
 a new way: you type a keyword, Minitube gives you an endless video stream.
 .
 Minitube does not require the Flash Player.
 .
 Minitube is not about cloning the original YouTube web interface, it aims to
 create a new TV-like experience.

## minitube 3.9.3

=== debian/changelog ===
minitube (3.9.3-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:56:53 +1100

minitube (3.9.3-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:56:08 +0000

minitube (3.9.3-2) unstable; urgency=medium

  * Fix compilation with mpv 0.35 (Closes: #1024029)

 -- Jakob Haufe <sur5r@debian.org>  Mon, 12 Dec 2022 22:50:48 +0100

minitube (3.9.3-1) unstable; urgency=medium

  * New upstream version 3.9.3
  * Switch watchfile to Github API
  * Switch to DH 13

 -- Jakob Haufe <sur5r@debian.org>  Sun, 13 Nov 2022 19:44:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: minitube
 Section: video
 Priority: optional
-Maintainer: Jakob Haufe <sur5r@debian.org>
-Build-Depends: debhelper (>= 11), qtbase5-dev, qtchooser, qttools5-dev-tools, qtdeclarative5-dev, libqt5x11extras5-dev, libmpv-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jakob Haufe <sur5r@debian.org>
+Build-Depends: debhelper-compat (= 13), qtbase5-dev, qtchooser, qttools5-dev-tools, qtdeclarative5-dev, libqt5x11extras5-dev, libmpv-dev
 Standards-Version: 4.5.0
 Homepage: http://flavio.tordini.org/minitube
 Vcs-Browser: https://salsa.debian.org/sur5r/minitube

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5

%:
	dh $@

override_dh_auto_configure::
	dh_auto_configure

override_dh_auto_install::
	dh_auto_install --destdir=debian/tmp
	chmod a-x debian/tmp/usr/share/minitube/sounds/snapshot.wav

override_dh_missing::
	dh_missing --fail-missing

=== debian/watch ===
version=4

opts="searchmode=plain" \
 https://api.github.com/repos/flaviotordini/@PACKAGE@/releases \
 https://github.com/flaviotordini/@PACKAGE@/releases/download/(?:\d[\d.]*)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
